Bug 176875 - devel/mk-configure: update to 0.24.0
Summary: devel/mk-configure: update to 0.24.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-12 11:00 UTC by Mikolaj Golub
Modified: 2013-03-12 22:21 UTC (History)
0 users

See Also:


Attachments
file.diff (1.07 KB, patch)
2013-03-12 11:00 UTC, Mikolaj Golub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub freebsd_committer 2013-03-12 11:00:00 UTC
* Update to 0.24.0
* Fix the Makefile header

0.24.0 changes:

======================================================================
Version 0.24.0, by Aleksey Cheusov, Fri,  8 Mar 2013 13:18:00 +0300

  mkc.sub{dir,prj}.mk:
    - support for subprojects containing / symbol was added. In
      OBJDIR_<dir> variable slashes are replaced with underlines.
      In addition OBJDIR_<dir:T> variable is set.
    - now also run the target "errorcheck"
    - now work correctly with non-empty MAKEOBJDIR
      and MAKEOBJDIRPREFIX.

  Minor improvements in examples/*/linkme.mk

  DPLIBS is deprecated, use LDADD instead.

  ${MKC_SOURCE_FUNCLIBS}.o is added to CLEANFILES if it is set.

  Minor fixes in mkc_imp.lua.mk (LUA_MODULES vs. LUA_LMODULES).

  Some improvements and fixes in man page and FAQ.
  Thanks to Jeremy Reed, Min Sik Kim and Jan Smydke.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-12 11:00:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trociny

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 2 Mikolaj Golub freebsd_committer 2013-03-12 11:03:09 UTC
Responsible Changed
From-To: trociny->freebsd-ports-bugs

Approved.
Comment 3 Bryan Drewery freebsd_committer 2013-03-12 11:44:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 4 Bryan Drewery freebsd_committer 2013-03-12 12:52:16 UTC
Approved. You may commit this if you'd like, or I can. Be sure to
include the relevant PR: ports/176875 and Approved by: bdrewery in the
commit too.  In the future feel free to ping me or another ports
committer on IRC in #bsdports
Comment 5 dfilter service freebsd_committer 2013-03-12 14:18:51 UTC
Author: trociny (src committer)
Date: Tue Mar 12 14:18:38 2013
New Revision: 313979
URL: http://svnweb.freebsd.org/changeset/ports/313979

Log:
  - Update to 0.24.0.
  - Fix the Makefile header.
  
  PR:		ports/176875
  Approved by:	bdrewery

Modified:
  head/devel/mk-configure/Makefile
  head/devel/mk-configure/distinfo

Modified: head/devel/mk-configure/Makefile
==============================================================================
--- head/devel/mk-configure/Makefile	Tue Mar 12 14:18:23 2013	(r313978)
+++ head/devel/mk-configure/Makefile	Tue Mar 12 14:18:38 2013	(r313979)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	mk-configure
-# Date created:				16 September 2009
-# Whom:					Mikolaj Golub <to.my.trociny@gmail.com>
-#
+# Created by: Mikolaj Golub <to.my.trociny@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	mk-configure
-PORTVERSION=	0.23.0
+PORTVERSION=	0.24.0
 CATEGORIES=	devel
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 

Modified: head/devel/mk-configure/distinfo
==============================================================================
--- head/devel/mk-configure/distinfo	Tue Mar 12 14:18:23 2013	(r313978)
+++ head/devel/mk-configure/distinfo	Tue Mar 12 14:18:38 2013	(r313979)
@@ -1,2 +1,2 @@
-SHA256 (mk-configure-0.23.0.tar.gz) = a17d6c573183eaab0c41cea5844a59e041fb92ee8bebbbdd4894012f94572d9e
-SIZE (mk-configure-0.23.0.tar.gz) = 312410
+SHA256 (mk-configure-0.24.0.tar.gz) = 1a4e524622f153bd543422aea3dfc39d26339af8540b0c966bb70a55ef648e9e
+SIZE (mk-configure-0.24.0.tar.gz) = 237471
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Bryan Drewery freebsd_committer 2013-03-12 22:21:30 UTC
State Changed
From-To: open->closed

committed